## cdfs-src 0.5b-3

=== debian/changelog ===
cdfs-src (0.5b-3) unstable; urgency=low

  * renamed the source tarball, closes: #137767
  * gived a proper version name, now ready for producing official packages

 -- Eduard Bloch <blade@debian.org>  Wed, 13 Mar 2002 00:22:22 +0100

cdfs-src (0.5b-2) unstable; urgency=medium

  * fixed the target path for cdfs.o, closes: #132580
  * improved description for the generated modules package

 -- Eduard Bloch <blade@debian.org>  Wed,  6 Feb 2002 19:09:20 +0100

cdfs-src (0.5b-1) unstable; urgency=low

  * New upstream release
  * included a (wrapper) kdist rule, needed by make-kpkg in some cases.
    Closes: #130316
  * Improved README.Debian and copyright files
  * Hack to merge the kernel release number with package's version string

 -- Eduard Bloch <blade@debian.org>  Tue, 22 Jan 2002 00:25:01 +0100

cdfs-src (0.5a-5) unstable; urgency=low

  * fixed a logical error which could make dpkg-gencontrol fail

 -- Eduard Bloch <blade@debian.org>  Wed,  7 Nov 2001 09:10:16 +0100

cdfs-src (0.5a-4) unstable; urgency=low

  * fixed duplicated lines. Closes: #117655
  * distributing in a tarbal. More simple to clean and reinstall later
  * suggesting 2.4.x kernel source, set Arch to all
  * improved README.Debian

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Oct 2001 16:20:50 +0100

cdfs-src (0.5a-3) unstable; urgency=low

  * corrected entry in debian.binary/changelog <ashamed>

 -- Eduard Bloch <blade@debian.org>  Wed, 13 Jun 2001 22:50:42 +0200

cdfs-src (0.5a-2) unstable; urgency=low

  * added a configure option to use $KSRC, thanks to
    lastxit+debbugs@technogeeks.org. Closes: #100553

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Jun 2001 07:14:58 +0200

cdfs-src (0.5a-1) unstable; urgency=low

  * Initial release.

 -- Eduard Bloch <blade@debian.org>  Sun,  3 Jun 2001 11:27:51 +0200
