=== debian/control ===
Source: cdfs-src
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends-Indep: debhelper (>> 2.0.0), bzip2
Standards-Version: 3.5.2.0

Package: cdfs-src
Architecture: all
Depends: debhelper, kernel-package, make
Suggests: kernel-source-2.4
Description: shows the tracks on a CD as normal files
 CDfs is a file system for Linux systems that `exports' all tracks and
 boot images on a CD as normal files.  These files can then be mounted
 (e.g. for ISO and boot images), copied, played (WAVE audio and VideoCD
 tracks)... The primary goal for developing this file system was to
 `unlock' information in old ISO images.
