=== cdfs/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

ifdef KDREV
FULLVER := $(shell dpkg-parsechangelog |grep ^Version | cut -f2 -d' ')+$(KDREV)
DEBDEP := (= $(KDREV))
else
FULLVER := $(shell dpkg-parsechangelog |grep ^Version | cut -f2 -d' ')
DEBDEP :=
endif

.PHONY: configure
configure:
	sed 's/#KVERS#/$(KVERS)/g' debian/control.template > $(CURDIR)/debian/control
#	-perl -pe '$$kver= (split(/-/, $$ENV{"KREL"}))[1]; do {s/(\d)k\d*/\1k$$kver/; $$c=1} if $$c !=1' -i~ debian/changelog
	dh_testdir
	dh_testroot
	./configure --with-kernel=$(KSRC)
	touch configure-stamp


.PHONY: build
build:
	dh_testdir
	dh_testroot

	$(MAKE)

	touch build-stamp


.PHONY: install
install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

.PHONY: binary_modules
binary_modules:
	dh_testdir
	dh_testroot
	cd $(CURDIR)
	mkdir -p debian/cdfs-$(KVERS)/lib/modules/$(KVERS)/kernel/fs
	cp cdfs.o debian/cdfs-$(KVERS)/lib/modules/$(KVERS)/kernel/fs/
#	dh_installdebconf	
	dh_installdocs cdfs.html cdfs.png
#	dh_installexamples
#	dh_installmanpages
#	dh_undocumented
	dh_installmodules
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol  -- -v$(FULLVER)
	dh_md5sums
	dh_builddeb --destdir=$(KSRC)/..


.PHONY: clean
clean:
	-dh_testdir
	-dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	-dh_clean

	-rm $(CURDIR)/debian/control
	-rm -rf $(CURDIR)/debian/cdfs-2.*
#	-rm $(CURDIR)/debian/dirs
#	-rm $(CURDIR)/debian/override
	-$(MAKE) clean


# The kdist_configure target is called by make-kpkg modules_config. It
# should configure the module so it is ready for compilation (mostly
# useful for calling configure)
.PHONY: kdist_config
kdist_config: configure


# the kdist_image target is called by make-kpkg modules_image. It is
# responsible for compiling the module and creating the package. It
# should also clean up after making the module. Please note we use a
# seperate binary-modules target to make testing the package building
# easier
.PHONY: kdist_image
kdist_image: kdist_targets clean

kdist_targets: clean configure build install binary_modules

# a wrapper rule
.PHONY: kdist
kdist: kdist_targets
	# Build a .changes file.
	KVERS="$(KVERS)" KSRC="$(KSRC)" KMAINT="$(KMAINT)" \
		REV="$(KDREV)" KEMAIL="$(KEMAIL)" sh -v debian/genchanges.sh
	# Only now can we clean up.
	debian/rules clean


# the kdist_clean target is called by make-kpkg modules_clean. It is
# responsible for cleaning up any changes that have been made by the
# other kdist_commands (except for the .deb files created).
.PHONY: kdist_clean
kdist_clean: clean
