=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	
	# add stuff for configuration

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(CURDIR)
#	export TARBALL=`echo cdfs*tar*`
#	export VERNAME=`echo cdfs*tar*|cut -f1 -d"."`
	mkdir -p $(CURDIR)/debian/cdfs-src/usr/src/modules
	bzcat cdfs*bz2 | tar xv -C $(CURDIR)/debian/cdfs-src/usr/src/modules/
	cd $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs* && mkdir debian
	cd $(CURDIR)/debian/cdfs-src/usr/src/modules/ && mv cdfs* cdfs
#	mv $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/$$VERNAME/* $(CURDIR)/debian/cdfs/usr/src/modules/cdfs/
#	rm -r $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/$$VERNAME
	cd $(CURDIR)
	install -m 444 $(CURDIR)/debian.binary/* debian/changelog patch.cdfs $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian/
	chmod 755 $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian/rules
	chmod 755 $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian/postinst
	dh_fixperms
	cd $(CURDIR)/debian/cdfs-src/usr/src && tar zcvf cdfs.tar.gz modules && rm -rf modules

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
