## cdfs-src 2.4.20+2.6.3-2

=== debian/changelog ===
cdfs-src (2.4.20+2.6.3-2) unstable; urgency=low

  * removed the custom LD call, broke the module with newer kernels. Using the
    module built by kernel rules.

 -- Eduard Bloch <blade@debian.org>  Thu, 15 Apr 2004 02:42:38 +0200

cdfs-src (2.4.20+2.6.3-1) unstable; urgency=low

  * New (old) maintainer (closes: #242240)
  * new upstream releases (closes: #212778, #238329)
  * new version scheme choosen by upstream, we combine the two strings to one
  * changed to use module-assistant includes and one unified rules file
    (closes: #141868, #147097, #212777)
  * cdfs.tar compressed with bzip2 now, README.Debian updated (closes:#153989)

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Apr 2004 17:20:16 +0200

cdfs-src (0.5c-2) unstable; urgency=low

  * Orphaning this package due to a lack of time and interest 

 -- Christian Kesselheim <ckesselh@infeurope.lu>  Mon,  5 Apr 2004 16:03:10 +0200

cdfs-src (0.5c-1) unstable; urgency=low

  * New upstream release

 -- Christian Kesselheim <ckesselh@debian.org>  Mon, 13 May 2002 15:26:01 +0200

cdfs-src (0.5b-4) unstable; urgency=low

  * New maintainer
  * New upstream release

 -- Christian Kesselheim <ckesselh@debian.org>  Fri,  3 May 2002 15:56:04 +0200
