=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 
 Package: cdfs-src
 Architecture: all
-Depends: debhelper, kernel-package, make
-Suggests: kernel-source-2.4
+Depends: module-assistant, debhelper, kernel-package, make, bzip2
 Description: shows the tracks on a CD as normal files
  CDfs is a file system for Linux systems that `exports' all tracks and
  boot images on a CD as normal files.  These files can then be mounted
