## cdfs-src 2.4.20.a+2.6.12-2

=== debian/changelog ===
cdfs-src (2.4.20.a+2.6.12-2) unstable; urgency=low

  * fixed the wrong path of the html file in the dh_installdocs call

 -- Eduard Bloch <blade@debian.org>  Thu, 29 Sep 2005 21:54:38 +0200

cdfs-src (2.4.20.a+2.6.12-1) unstable; urgency=low

  * New upstream versions (closes: #317906)

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Jul 2005 18:48:40 +0200
