=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=2
+export DH_COMPAT=3
 
 configure: configure-stamp
 configure-stamp:
@@ -99,7 +99,7 @@
 	cp 2.4/cdfs.o debian/cdfs-$(KVERS)/lib/modules/$(KVERS)/kernel/fs/
 endif
 #	dh_installdebconf	
-	dh_installdocs 2.6/cdfs.html 2.4/cdfs.png
+	dh_installdocs 2.4/cdfs.html 2.4/cdfs.png
 #	dh_installexamples
 #	dh_installmanpages
 #	dh_undocumented
