## cdfs-src 2.4.20.a+2.6.18-1

=== debian/changelog ===
cdfs-src (2.4.20.a+2.6.18-1) unstable; urgency=low

  * new upstream release for kernel 2.6.18 (closes: #388388, #388389)
  * prep-deb-files dependency fixed
  * debian/*: various meta changes, debhelper level 5

 -- Eduard Bloch <blade@debian.org>  Fri, 03 Nov 2006 11:13:21 +0100
