=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=5
 
 configure: configure-stamp
 configure-stamp:
@@ -87,7 +87,7 @@
 
 kdist_config: prep-deb-files
 
-binary-modules:
+binary-modules: prep-deb-files
 	cd $(CURDIR)
 	mkdir -p debian/cdfs-$(KVERS)/lib/modules/$(KVERS)/kernel/fs
 ifeq ($(shell echo $(KVERS) | sed -e 's/\(...\).*/\1/'),2.6)
