## cdfs-src 2.6.23-3

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
 
 install:
-	$(MAKE) -C $(KDIR) SUBDIRS=$(pwd) modules_install
+	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules_install
 endif
