=== debian/changelog ===
cdfs-src (2.6.23-3) unstable; urgency=medium

  * added compat file to delivered source tarball (closes: #455760), now
    installing the missing ko file in generated packages
  * fixed depmod call to rescan when installing for not currently 
    running kernel
  * fixed tar calls (input/output descriptor and the $TAPE problem)

 -- Eduard Bloch <blade@debian.org>  Tue, 11 Dec 2007 20:34:58 +0100

cdfs-src (2.6.23-2) unstable; urgency=low

  * Fixes a rarely appearing compilation problem, patch by Vincent
    Fourmond (closes: #452432, thanks)

 -- Eduard Bloch <blade@debian.org>  Sat, 24 Nov 2007 22:32:41 +0100

cdfs-src (2.6.23-1) unstable; urgency=low

  * New upstream version, updated for recent kernels 
    (closes: #452432, #435006, #416055)
  * Obligatory packaging fixes
  * Using latest current kernel version for package version
  * dropped patch.cdfs, it's part of tarball and needs to be unpacked
    manually either way

 -- Eduard Bloch <blade@debian.org>  Sat, 24 Nov 2007 17:33:46 +0100
