=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), bzip2
-Standards-Version: 3.6.2.1
+Build-Depends: debhelper (>> 5.0.0), bzip2
+Standards-Version: 3.7.2
 
 Package: cdfs-src
 Architecture: all
