=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=5
 
 configure: configure-stamp
 configure-stamp:
@@ -42,13 +39,14 @@
 
 	cd $(CURDIR)
 	mkdir -p $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian
-	for x in cdfs*bz2 ; do bzcat $$x | tar x -C $(CURDIR)/debian/cdfs-src/usr/src/modules/ ; done
+	for x in cdfs*bz2 ; do bzcat $$x | tar x -f- -C $(CURDIR)/debian/cdfs-src/usr/src/modules/ ; done
 	cd $(CURDIR)/debian/cdfs-src/usr/src/modules && mv cdfs-2.6.* cdfs/2.6 && mv cdfs-2.4* cdfs/2.4
-	cp -a debian/*modules.in* debian/rules debian/*KVERS* debian/changelog debian/copyright patch.cdfs \
+	cat debian/cdfs.include.diff | patch $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/2.6/cdfs.h
+	cp -a debian/*modules.in* debian/rules debian/compat debian/*KVERS* debian/changelog debian/copyright \
 		$(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian/
-	cp patch.cdfs debian/cdfs-src/usr/src/modules/cdfs/
+	#cp patch.cdfs debian/cdfs-src/usr/src/modules/cdfs/
 	dh_fixperms
-	cd $(CURDIR)/debian/cdfs-src/usr/src && tar c modules | bzip2 -9 > cdfs.tar.bz2 && rm -rf modules
+	cd $(CURDIR)/debian/cdfs-src/usr/src && tar -f- -c modules | bzip2 -9 > cdfs.tar.bz2 && rm -rf modules
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -126,7 +124,7 @@
 	-dh_clean
 	-rm -f $(CURDIR)/debian/control
 	-rm -rf $(CURDIR)/debian/cdfs-2.* *.o *.ko */*.o */*.ko
-	-$(MAKE) clean
+	$(MAKE) clean || true
 	-cd 2.6 && $(MAKE) clean
 	-cd 2.4 && $(MAKE) clean
