## cdfs-src 2.6.23-4

=== debian/changelog ===
cdfs-src (2.6.23-4) unstable; urgency=medium

  * added a patch to make CDFS buildable and usable on kernels on kernel
    2.6.27, based on patch from David Howells and Mario Izquierdo.
    Thanks to everybody involved.

 -- Eduard Bloch <blade@debian.org>  Wed, 26 Nov 2008 16:14:39 +0100
