=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,9 @@
 
 	cd $(CURDIR)
 	mkdir -p $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian
-	for x in cdfs*bz2 ; do bzcat $$x | tar x -f- -C $(CURDIR)/debian/cdfs-src/usr/src/modules/ ; done
-	cd $(CURDIR)/debian/cdfs-src/usr/src/modules && mv cdfs-2.6.* cdfs/2.6 && mv cdfs-2.4* cdfs/2.4
+	for x in cdfs*bz2 ; do bzcat $$x | tar x -f- -C debian/cdfs-src/usr/src/modules/ ; done
+	cd debian/cdfs-src/usr/src/modules && mv cdfs-2.6.* cdfs/2.6 && mv cdfs-2.4* cdfs/2.4
+	cd debian/cdfs-src/usr/src/modules/cdfs && patch -p1 < $(CURDIR)/cdfs-2.6.27.combined.patch
 	cat debian/cdfs.include.diff | patch $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/2.6/cdfs.h
 	cp -a debian/*modules.in* debian/rules debian/compat debian/*KVERS* debian/changelog debian/copyright \
 		$(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian/
